import { ApiResultOrderViewModel, AttributedItemList, CloudCellarV2, OfferV2Entity } from "./api";
export interface IFilterKeys {
    selectedAppellation: string;
    selectedRegion: string;
    selectedVarietal: string;
    selectedShipStatus?: string;
    wineSef?: string;
}
export declare function makeCloudPromise(cloudSef: string, filters: IFilterKeys, authToken: string, search?: string): Promise<CloudCellarV2>;
export declare function makeOfferPromise(offerSef: string): Promise<OfferV2Entity>;
export declare function makeOrderPromise(orderId: string): Promise<ApiResultOrderViewModel>;
export declare function defaultFilterValues(): IFilterKeys;
export declare function makeItemListPromise(filters: IFilterKeys, pageNumber: string): Promise<AttributedItemList>;
