"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.states = [
    {
        name: 'Alabama',
        abbreviation: 'AL',
    },
    {
        name: 'Alaska',
        abbreviation: 'AK',
    },
    {
        name: 'Arizona',
        abbreviation: 'AZ',
    },
    {
        name: 'Arkansas',
        abbreviation: 'AR',
    },
    {
        name: 'California',
        abbreviation: 'CA',
    },
    {
        name: 'Colorado',
        abbreviation: 'CO',
    },
    {
        name: 'Connecticut',
        abbreviation: 'CT',
    },
    {
        name: 'Delaware',
        abbreviation: 'DE',
    },
    {
        name: 'District Of Columbia',
        abbreviation: 'DC',
    },
    {
        name: 'Florida',
        abbreviation: 'FL',
    },
    {
        name: 'Georgia',
        abbreviation: 'GA',
    },
    {
        name: 'Guam',
        abbreviation: 'GU',
    },
    {
        name: 'Hawaii',
        abbreviation: 'HI',
    },
    {
        name: 'Idaho',
        abbreviation: 'ID',
    },
    {
        name: 'Illinois',
        abbreviation: 'IL',
    },
    {
        name: 'Indiana',
        abbreviation: 'IN',
    },
    {
        name: 'Iowa',
        abbreviation: 'IA',
    },
    {
        name: 'Kansas',
        abbreviation: 'KS',
    },
    {
        name: 'Kentucky',
        abbreviation: 'KY',
    },
    {
        name: 'Louisiana',
        abbreviation: 'LA',
    },
    {
        name: 'Maine',
        abbreviation: 'ME',
    },
    {
        name: 'Maryland',
        abbreviation: 'MD',
    },
    {
        name: 'Massachusetts',
        abbreviation: 'MA',
    },
    {
        name: 'Michigan',
        abbreviation: 'MI',
    },
    {
        name: 'Mississippi',
        abbreviation: 'MS',
    },
    {
        name: 'Minnesota',
        abbreviation: 'MN',
    },
    {
        name: 'Missouri',
        abbreviation: 'MO',
    },
    {
        name: 'Montana',
        abbreviation: 'MT',
    },
    {
        name: 'Nebraska',
        abbreviation: 'NE',
    },
    {
        name: 'Nevada',
        abbreviation: 'NV',
    },
    {
        name: 'New Hampshire',
        abbreviation: 'NH',
    },
    {
        name: 'New Jersey',
        abbreviation: 'NJ',
    },
    {
        name: 'New Mexico',
        abbreviation: 'NM',
    },
    {
        name: 'New York',
        abbreviation: 'NY',
    },
    {
        name: 'North Carolina',
        abbreviation: 'NC',
    },
    {
        name: 'North Dakota',
        abbreviation: 'ND',
    },
    {
        name: 'Ohio',
        abbreviation: 'OH',
    },
    {
        name: 'Oklahoma',
        abbreviation: 'OK',
    },
    {
        name: 'Oregon',
        abbreviation: 'OR',
    },
    {
        name: 'Pennsylvania',
        abbreviation: 'PA',
    },
    {
        name: 'Rhode Island',
        abbreviation: 'RI',
    },
    {
        name: 'South Carolina',
        abbreviation: 'SC',
    },
    {
        name: 'South Dakota',
        abbreviation: 'SD',
    },
    {
        name: 'Tennessee',
        abbreviation: 'TN',
    },
    {
        name: 'Texas',
        abbreviation: 'TX',
    },
    {
        name: 'Utah',
        abbreviation: 'UT',
    },
    {
        name: 'Vermont',
        abbreviation: 'VT',
    },
    {
        name: 'Virginia',
        abbreviation: 'VA',
    },
    {
        name: 'Washington',
        abbreviation: 'WA',
    },
    {
        name: 'West Virginia',
        abbreviation: 'WV',
    },
    {
        name: 'Wisconsin',
        abbreviation: 'WI',
    },
    {
        name: 'Wyoming',
        abbreviation: 'WY',
    },
];
exports.countryCodeMap = [
    ['AL', 'Albania'],
    ['DZ', 'Algeria'],
    ['AL', 'Andorra'],
    ['AR', 'Argentina'],
    ['AM', 'Armenia'],
    ['AU', 'Australia'],
    ['AT', 'Austria'],
    ['AZ', 'Azerbaijan'],
    ['BB', 'Barbados'],
    ['BY', 'Belarus'],
    ['BE', 'Belgium'],
    ['BZ', 'Belize'],
    ['BM', 'Bermuda'],
    ['BT', 'Bhutan'],
    ['BO', 'Bolivia'],
    ['BA', 'Bosnia-Herzegovina'],
    ['BR', 'Brazil'],
    ['BG', 'Bulgaria'],
    ['US', 'California'],
    ['KH', 'Cambodia'],
    ['CA', 'Canada'],
    ['CV', 'Cape Verde Islands'],
    ['CL', 'Chile'],
    ['CN', 'China'],
    ['CL', 'CHL'],
    ['CO', 'Colombia'],
    ['CR', 'Costa Rica'],
    ['HR', 'Croatia'],
    ['CU', 'Cuba'],
    ['CY', 'Cyprus'],
    ['CZ', 'Czech Republic'],
    ['DK', 'Denmark'],
    ['DO', 'Dominican Republic'],
    ['EC', 'Ecuador'],
    ['EG', 'Egypt'],
    ['UK', 'England'],
    ['EE', 'Estonia'],
    ['ET', 'Ethiopia'],
    ['FI', 'Finland'],
    ['FR', 'France'],
    ['GE', 'Georgia'],
    ['DE', 'Germany'],
    ['GR', 'Greece'],
    ['GT', 'Guatemala'],
    ['HT', 'Haiti'],
    ['HU', 'Hungary'],
    ['IS', 'Iceland'],
    ['IN', 'India'],
    ['ID', 'Indonesia'],
    ['IE', 'Ireland'],
    ['IL', 'Israel'],
    ['IT', 'Italy'],
    ['JM', 'Jamaica'],
    ['JP', 'Japan'],
    ['JE', 'Jersey'],
    ['JO', 'Jordan'],
    ['KZ', 'Kazakhstan'],
    ['KR', 'Korea'],
    ['LV', 'Latvia'],
    ['LB', 'Lebanon'],
    ['LI', 'Liechtenstein'],
    ['LT', 'Lithuania'],
    ['LU', 'Luxembourg'],
    ['MK', 'Macedonia'],
    ['MG', 'Madagascar'],
    ['MT', 'Malta'],
    ['MU', 'Mauritius'],
    ['MX', 'Mexico'],
    ['MD', 'Moldova'],
    ['MN', 'Mongolia'],
    ['ME', 'Montenegro'],
    ['MA', 'Morocco'],
    ['MM', 'Myanmar'],
    ['NA', 'Namibia'],
    ['NL', 'Netherlands'],
    ['NZ', 'New Zealand'],
    ['NI', 'Nicaragua'],
    ['NO', 'Norway'],
    ['PA', 'Panama'],
    ['PY', 'Paraguay'],
    ['PE', 'Peru'],
    ['PH', 'Philippines'],
    ['PL', 'Poland'],
    ['PT', 'Portugal'],
    ['RO', 'Romania'],
    ['RU', 'Russia'],
    ['LC', 'Saint Lucia'],
    ['SM', 'San Marino'],
    ['RS', 'Serbia'],
    ['SK', 'Slovakia'],
    ['SI', 'Slovenia'],
    ['ZA', 'South Africa'],
    ['ES', 'Spain'],
    ['SE', 'Sweden'],
    ['CH', 'Switzerland'],
    ['SY', 'Syria'],
    ['PF', 'Tahiti'],
    ['TW', 'Taiwan (ROC)'],
    ['TZ', 'Tanzania'],
    ['TH', 'Thailand'],
    ['TT', 'Trinidad & Tobago'],
    ['TN', 'Tunisia'],
    ['TR', 'Turkey'],
    ['UA', 'Ukraine'],
    ['GB', 'United Kingdom'],
    ['UY', 'Uruguay'],
    ['US', 'United States'],
    ['VI', 'US Virgin Islands'],
    ['UZ', 'Uzbekistan'],
    ['VE', 'Venezuela'],
    ['VN', 'Vietnam'],
    ['ZW', 'Zimbabwe'],
];
function getCountryName(countryCode) {
    const cc = countryCode.toUpperCase();
    for (let i = 0; i < exports.countryCodeMap.length; ++i) {
        if (exports.countryCodeMap[i][0] == cc) {
            return exports.countryCodeMap[i][1];
        }
    }
    return '?';
}
exports.getCountryName = getCountryName;
;
exports.varietals = [
    '@gift',
    '@insert',
    '@food',
    '@virtual',
    'Aglianico',
    'Agiorgitiko',
    'Albarino',
    'Albana',
    'Aleatico',
    'Amigne',
    'Apple',
    'Angelic Blend',
    'Arneis',
    'Barbera',
    'Blanc',
    'Blanc de Blancs',
    'Blanc de Noirs',
    'Blaufrankisch',
    'Blend',
    'Bonarda',
    'Bordeaux',
    'Bordeaux Blend',
    'Bordeaux Rouge',
    'Botrytised Semillon',
    'Brandy',
    'Brut',
    'Brut Cuvee',
    'Brut Rose',
    'Brut Rose of Pinot Noir',
    'Bukettraube',
    'Burgundy',
    'Cabernet Blanc',
    'Cabernet Franc',
    'Cabernet Franc/Cabernet Sauvignon/Merlot/Shiraz',
    'Cabernet Franc/Rose',
    'Cabernet Sauvignon',
    'Cabernet Sauvignon Etched Bottle',
    'Cabernet Sauvignon Port',
    'Cabernet Sauvignon Rosé',
    'Cabernet Sauvignon/Carmenere',
    'Cabernet Sauvignon/Malbec',
    'Cabernet Sauvignon/Merlot',
    'Cabernet Sauvignon/Merlot/Petit Verdot',
    'Cabernet Sauvignon/Merlot/Syrah',
    'Cabernet Sauvignon/Petite Sirah',
    'Cabernet Sauvignon/Rosé',
    'Cabernet Sauvignon/Sangiovese',
    'Cabernet Sauvignon/Shiraz',
    'Cabernet Sauvignon/Syrah',
    'Cabernet/Shiraz/Malbec',
    'Cameron Fisher',
    'Carignane',
    'Carignane/Grenache/Petite Syrah/Syrah',
    'Carmenere',
    'Catarrato',
    'Chablis',
    'Champagne',
    'Charbono',
    'Chardonnay',
    'Chardonnay Champagne',
    'Chardonnay/Pinot Grigio',
    'Chardonnay/Pinot Gris',
    'Chardonnay/Semillon',
    'Chardonnay/Viognier',
    'Chenin Blanc',
    'Chenin Blanc/Colombard',
    'Chianti',
    'Cinsault',
    'Claret',
    'Clone 4',
    'Clone 6',
    'Crianza',
    'Cuvee',
    'Cuvee Rose',
    'Cuvee Sauvage',
    'Dessert Wine',
    'Diablo Rosso',
    'Dolcetto',
    'Dolcino Rosso',
    'Dry Rose',
    'Dry Rosé of Pinot Noir',
    'Durif',
    'Field Blend',
    'French Colombard',
    'Fume Blac',
    'Fume Blanc',
    'GSM',
    'Gaglioppo',
    'Gamay',
    'Gargenga/Pinot Grigio',
    'Garnacha',
    'Garnacha/Carinena',
    'Gewurztraminer',
    'Graciano',
    'Grappa',
    'Grenache',
    'Grenache Blanc',
    'Grenache Noir',
    'Grenache Rose',
    'Grenache/Mourvedre/Syrah',
    'Grenache/Shiraz',
    'Grenache/Syrah',
    'Grüner Veltliner',
    'Harvest Sauvignon',
    'Johannesburg Riesling',
    'Lagrein',
    'MXV',
    'Malbec',
    'Malbec Merlot',
    'Malbec/Rosé',
    'Malvasia Bianca',
    'Mangoscato',
    'Marsanne',
    'Marsanne/Viognier',
    'Marselen Red Blend',
    'Mataro',
    'Matzin',
    'Merlot',
    'Merlot Blanc',
    'Merlot Champagne',
    'Merlot/Rosé',
    'Merlot/Xinomavro',
    'Montepulciano',
    'Montepulciano D\'Abruzzo',
    'Moscatel',
    'Moscato',
    'Moscato D\'Oro',
    'Moscato Frizzante',
    'Moscato Spumate',
    'Mourvedre',
    'Mourvedre Syrah Grenache',
    'Muscat',
    'Muscat Canelli',
    'Muscat Grappa',
    'Muscato',
    'Nebbiolo',
    'Negrette',
    'Nero d\'Avola',
    'Old Vine White',
    'Orvieto',
    'Other Red',
    'Other White',
    'Petit Verdot',
    'Petit Verdot Port',
    'Petite Sirah',
    'Petite Sirah Verdot',
    'Petite Verdot',
    'Picpoul Blanc',
    'Pinot Blanc',
    'Pinot Grigio',
    'Pinot Gris',
    'Pinot Noir',
    'Pinot Noir Brut',
    'Pinot Noir Burgundy',
    'Pinot Noir Rose',
    'Pinot Noir/Syrah',
    'Pinot Noir/Valdiguie',
    'Pinot Rose',
    'Pinotage',
    'Pinotage Shiraz',
    'Platinum',
    'Port',
    'Port/Syrah',
    'Portuguese Varietals',
    'Primitivo',
    'Proprietary Red',
    'Prosecco',
    'Red Blend',
    'Red Bordeaux',
    'Red Burgundy',
    'Red Meritage',
    'Red Rhone Blend',
    'Red Table Wine',
    'Red Wine',
    'Red wine',
    'Retsina',
    'Rhone Blend',
    'Rice Wine',
    'Riesling',
    'Riesling Champagne',
    'Riesling Traminer',
    'Rooster\'s Blend',
    'Rosato',
    'Rose',
    'Rose of Merlot',
    'Rose of Syrah',
    'Roseto',
    'Rosso',
    'Rosé Table Wine',
    'Rosé of Pinot Noir',
    'Rosé/Syrah',
    'Roussanne',
    'Roussanne/Viognier',
    'Sagrantino',
    'Sake',
    'Sangiovese',
    'Sangiovese Negroamaro',
    'Sangiovese Rose',
    'Sangiovese, Barbera, Sagrantino',
    'Sangiovese/Syrah',
    'Sauv Blanc',
    'Sauvignon Blanc',
    'Sauvignon Blanc,Chardonnay',
    'Sauvignon Blanc/Semillon',
    'Sauvignon Gris',
    'Secco',
    'Semillon',
    'Semillon/Chardonnay',
    'Sherry',
    'Shiraz',
    'Shiraz‐Cabernet Sauvignon',
    'Shiraz/Grenache',
    'Shiraz/Viognier',
    'Sparkling',
    'Sparkling Brut',
    'Sparkling Chardonnay',
    'Sparkling Cuvee',
    'Sparkling Muscat Canelli',
    'Sparkling Rose',
    'Sparkling Syrah',
    'Sparkling Wine',
    'Symmetry',
    'Symphony',
    'Syrah',
    'Syrah Blend',
    'Syrah Cabernet',
    'Syrah Cabernet Sauvignon Merlot',
    'Syrah Port',
    'Syrah Rosé',
    'Syrah Viognier',
    'Syrah/Viognier',
    'Table Red Rosé Wine',
    'Tannat',
    'Tapestry',
    'Tempranillo',
    'Tempranillo Cabernet',
    'Tempranillo Grenache',
    'Tempranillo Rosé',
    'Tokaji',
    'Torrontes',
    'Touriga Nacional',
    'Trebbiano Spoletino',
    'Trousseau',
    'Unoaked Chardonnay',
    'Verdejo',
    'Verdelho',
    'Verdot',
    'Vermentino',
    'Vermouth',
    'Vidal Blanc',
    'Vin Gris',
    'Vino',
    'Viognier',
    'Violet',
    'White Blend',
    'White Bordeaux',
    'White Burgundy',
    'White Meritage',
    'White Merlot',
    'White Pinot Noir',
    'White Riesling',
    'White Rhone Blend',
    'White Table Wine',
    'White Wine',
    'White Zinfandel',
    'White Zinfandel Champagne',
    'Zinfandel',
    'Zinfandel Port',
    'Zinfandel Shiraz',
    'Zinfandel/Malbec',
];
exports.wineTypes = [
    '(none)',
    'Beer',
    'Fruit/Vegetable Wine',
    'Non-alcoholic',
    'Red',
    'Red - Fortified',
    'Red - Sparkling',
    'Red - Sweet/Dessert',
    'Rosé',
    'Rosé - Fortified',
    'Rosé - Sparkling',
    'Rosé - Sweet/Dessert',
    'Sake',
    'Spirits',
    'White',
    'White - Fortified',
    'White - Off-dry',
    'White - Sparkling',
    'White - Sweet/Dessert',
];
exports.wineRegions = [
    'Abkhazia',
    'Abruzzi',
    'Aconcagua Valley',
    'Açores',
    'Aegean',
    'Aegean & Central Anatolia',
    'Ahr',
    'Alabama',
    'Åland Islands',
    'Alaska',
    'Albania',
    'Alberta',
    'Alentejano',
    'Alexander Valley',
    'Algarve',
    'Alsace',
    'Alytus',
    'Ambohimalaza',
    'Ambrolauri',
    'American',
    'Andalucía',
    'Andorra',
    'Anguilla',
    'Ankara',
    'Antalya',
    'Aragatsotn Region',
    'Aragón',
    'Aragua',
    'Ararat',
    'Arequipa',
    'Argentina',
    'Argentina/France',
    'Arizona',
    'Arkansas',
    'Armenia',
    'Arneis',
    'Årslev',
    'Assenovgrad',
    'Assyrtiko',
    'Asturias',
    'Atacama',
    'Attica',
    'Australia',
    'Australia/New Zealand',
    'Austria',
    'Avsa island',
    'Azerbaijan',
    'Baden',
    'Baja California',
    'Bakewell',
    'Balaton',
    'Balearic Islands',
    'Bali',
    'Banat',
    'Bangalore',
    'Barbados',
    'Basilicata',
    'Batroun',
    'Bay of Kotor',
    'BC-Ontario',
    'Beijing',
    'Beiras',
    'Bekaa Valley',
    'Belarus',
    'Belize',
    'Benslimane',
    'Bergland',
    'Berkel-Enschot',
    'Berkshire',
    'Bermuda',
    'Bhutan',
    'Bío-Bío Valley',
    'Black Sea',
    'Bodegraven',
    'Bohemia',
    'Bolivia',
    'Bordeaux',
    'Bornholm',
    'Bozcaada',
    'Brazil',
    'Breede River Valley',
    'Bretagne',
    'British Columbia',
    'Brussels',
    'Bulgaria',
    'Burgenland',
    'Burgundy',
    'Cahul',
    'Calabria',
    'California',
    'California & France',
    'California & Washington',
    'Cambridgeshire',
    'Campania',
    'Canada',
    'Canada/Imported',
    'Canary Islands',
    'Canelones',
    'Cantabria',
    'Cape South Coast',
    'Cape Verde Islands',
    'Carmelo',
    'Carthage',
    'Casablanca Valley',
    'Castilla y León',
    'Castilla-La Mancha',
    'Catalunya',
    'Catamarca',
    'Cayman Islands',
    'Central',
    'Central Anatolia',
    'Central Coast',
    'Central Finland',
    'Central Valley',
    'Champagne',
    'Chang Li',
    'Chao Praya Delta',
    'Chao Praya River',
    'Chernomorski Rayon',
    'Chiang Rai',
    'Chiclayo',
    'Chihuahua',
    'Chile',
    'China',
    'Chisinau County',
    'Choapa Valley',
    'Chūbu',
    'Chūgoku',
    'Ciumai',
    'Clare',
    'Coahuila',
    'Coastal Croatia',
    'Coastal Region',
    'Cognac',
    'Colombia',
    'Colonia',
    'Colorado',
    'Connecticut',
    'Contesti',
    'Continental Greece',
    'Continental Region',
    'Copenhagen',
    'Copou',
    'Cork',
    'Cornwall',
    'Corsica',
    'Cote de Fianar',
    'Coteau de Tlemcen',
    'Coteaux de Mascara',
    'Côtes del´Oronte',
    'County Antrim',
    'County Cavan',
    'County Kerry',
    'County Louth',
    'County Mayo',
    'County Wicklow',
    'Craiova',
    'Crete',
    'Cricova',
    'Crimea',
    'Cuba',
    'Curico Valley',
    'Cyprus',
    'Czech Republic',
    'Dalarna',
    'Danubian Plain',
    'de Proef',
    'Dealurile Olteniei',
    'Delaware',
    'Dél-Pannónia',
    'Devon',
    'd\'Minis',
    'Dobrogei',
    'Dobrudja',
    'Dodoma',
    'Dolenjska',
    'Dolj',
    'Dominican Republic',
    'Don Valley',
    'Donetsk',
    'Dorset',
    'Douro',
    'Drăgăşani',
    'Drammen',
    'Dublin',
    'Duna',
    'Durazno',
    'East Anglia',
    'East Midlands',
    'East of England',
    'East Sussex',
    'Eastern Anatolia',
    'Eastern Switzerland',
    'Ecuador',
    'Ege Bölgesi',
    'Egypt',
    'El Colorado',
    'El Dorado County',
    'Elqui Valley',
    'Emilia-Romagna',
    'England',
    'Epiros',
    'Escazu',
    'Eschnerberg',
    'Essex',
    'Észak-Dunántúl',
    'Ethiopia',
    'Extremadura',
    'Falster',
    'Felső-Magyarország',
    'Finland',
    'Flanders',
    'Flen',
    'Flevoland',
    'Florida',
    'Florø',
    'France',
    'France & Australia',
    'Franche-Comté',
    'Franken',
    'Frederiksborg',
    'Friesland',
    'Friuli-Venezia Giulia',
    'Funen',
    'Fyn',
    'Galicia',
    'Galilee',
    'Gansu',
    'Gästrikland',
    'Gelderland',
    'Genève',
    'Georgia',
    'Georgia/Sakartvelo',
    'Germany',
    'Gloucestershire',
    'Gobi Desert',
    'Gorchivka',
    'Gørløse',
    'Göteborg',
    'Gotland',
    'Greece',
    'Green Valley',
    'Grimstad',
    'Guadeloupe',
    'Guanajuato',
    'Guanting Lake',
    'Guatemala',
    'Guyana',
    'Gyeonggi-do',
    'Gyeongsanbuk-do',
    'Hageland',
    'Haiti',
    'Hälsingborg',
    'Hampshire',
    'Hardanger',
    'Harju',
    'Haskovo',
    'Haspengouw',
    'Hawaii',
    'Hebei',
    'Hedehusene',
    'Hercegovina',
    'Herefordshire',
    'Herrera',
    'Hessische Bergstraße',
    'Hokkaido',
    'Holland',
    'Hua Hin Hills',
    'Hungary',
    'Ica',
    'Iceland',
    'Idaho',
    'Illinois',
    'India',
    'Indiana',
    'Ingelstad',
    'Inner Mongolia',
    'Ionian',
    'Iowa',
    'Isle of Wight',
    'Israel',
    'Itagui',
    'Italy',
    'Italy/New Zealand',
    'Italy/Spain',
    'Itata Valley',
    'Jahrtausendwende',
    'Jalisco',
    'Jamaica',
    'Jämtland',
    'Japan',
    'Jeju',
    'Jersey',
    'Judean Hills',
    'Junbuk',
    'Jura',
    'Južnoslovenská',
    'Jylland',
    'Kachowice',
    'Kakheti',
    'Kalmar',
    'Kamperland',
    'Kansai',
    'Kansas',
    'Kantō',
    'Kartli',
    'Kastrup',
    'Kent',
    'Kentucky',
    'Kfardebian valley',
    'Khao Yai',
    'Kiev',
    'Kirke Hyllinge',
    'Klein Karoo',
    'Krasnodar',
    'Kvänum',
    'Kwazulu-Natal',
    'Kyushu',
    'La Pampa',
    'La Rioja',
    'Lääne-Viru',
    'Lake County',
    'Lam Dong',
    'Languedoc',
    'Languedoc Roussillon',
    'Lapland',
    'Lara',
    'Las Piedras',
    'Las Violetas',
    'Latium',
    'Latvia',
    'Lechkhumi',
    'Liguria',
    'Lima',
    'Limarí Valley',
    'Limassol',
    'Limburg',
    'Lisboa',
    'Lochristi-Hijfte',
    'Loire Valley',
    'Lolland',
    'Lombardia',
    'Lombardia / Veneto',
    'London',
    'Lorraine',
    'Louisiana',
    'Lovech',
    'Lviv',
    'Lyaskovets',
    'Macedonia',
    'Madaba',
    'Madeira',
    'Madrid',
    'Maharashtra',
    'Maine',
    'Maipo Valley',
    'Majuang',
    'Malatya',
    'Malleco Valley',
    'Malokarpatská',
    'Małopolska',
    'Malta',
    'Manitoba',
    'Marche',
    'Martinique',
    'Maryland',
    'Mashonaland East',
    'Massachusetts',
    'Maule Valley',
    'Mauritius Island',
    'Medea',
    'Medgidia',
    'Mehedinti',
    'Meknès-Fès',
    'Mellerud',
    'Mendocino',
    'Mendoza',
    'Mexico',
    'Mezclados',
    'Michigan',
    'Midi',
    'Minho',
    'Minnesota',
    'Mississippi',
    'Missouri',
    'Mittelrhein',
    'Mixed',
    'Moldova',
    'Molise',
    'Møn',
    'Mongolia',
    'Montana',
    'Monterrey',
    'Moravia',
    'Mornag',
    'Morocco',
    'Moscow',
    'Mosel Saar Ruwer',
    'Moselle',
    'Mount Lebanon',
    'Muntenia',
    'Murcia',
    'Murfatlar',
    'N. Europe',
    'Nahe',
    'Nakhonratchasima',
    'Nakornpathom',
    'Namibia',
    'Napa',
    'Nashik',
    'Navarra',
    'Nebraska',
    'Negev',
    'Netherlands',
    'Neuchâtel',
    'Nevada',
    'Nevis',
    'New Brunswick',
    'New Hampshire',
    'New Jersey',
    'New Mexico',
    'New South Wales',
    'New South Wales / Victoria',
    'New York',
    'New Zealand',
    'Newfoundland',
    'Nicaragua',
    'Niederösterreich',
    'Ningxia',
    'Nišava-Južna Morava',
    'Nitrianska',
    'Noord-Brabant',
    'Noord-Holland',
    'Norfolk',
    'Normandy',
    'North',
    'North Carolina',
    'North Dakota',
    'North Island',
    'Northamptonshire',
    'Northern Cape',
    'Norway',
    'Nova Scotia',
    'Nova Zagora',
    'Oaxaca',
    'Odense',
    'Odessa',
    'Ohio',
    'Oklahoma',
    'Öland',
    'Olifants River',
    'Ontario',
    'Ørbæk',
    'Oregon',
    'Oregon/Washington',
    'Oslo',
    'Östergötland',
    'Ostrobothnia',
    'Overijssel',
    'Oxfordshire',
    'Päijänne Tavastia',
    'País Vasco',
    'Panama',
    'Papeete',
    'Paphos',
    'Paraguay',
    'Parma',
    'Pärnu',
    'Paso Robles',
    'Patagonia',
    'Paysandú',
    'PB Valley',
    'Peloponnisos',
    'Península de Setúbal',
    'Pennsylvania',
    'Petite Arvine',
    'Pfalz',
    'Philippines',
    'Phnom Penh',
    'Piedmont',
    'Pietroasa',
    'Pirkanmaa',
    'Plovdiv',
    'Plymouth',
    'Pocerina',
    'Podgorica',
    'Podkarpackie',
    'Podravje',
    'Poland',
    'Polynésie française',
    'Portugal',
    'Portugal/Spain',
    'Posavje',
    'Povardarie',
    'Prahova Valley',
    'Primorska',
    'Prince Edward Island',
    'Progreso',
    'Provence',
    'Puerto Rico',
    'Puglia',
    'Quebec',
    'Queensland',
    'Queretaro',
    'Rabat/Casablanca',
    'Rahoveci Valley',
    'Rapel Valley',
    'Rheingau',
    'Rheinhessen',
    'Rhode Island',
    'Rhône',
    'Ribatejo',
    'Riga',
    'Rio Grande do Sul',
    'Rivera',
    'Rocha',
    'Romania',
    'Rose Valley',
    'Rostov',
    'Russe',
    'Russian River Valley',
    'Ruzawi River Valley',
    'Saale/Unstrut',
    'Sachsen',
    'Sahyadri Valley',
    'Saint Lucia',
    'Salta',
    'Salto',
    'Samaria',
    'Samburesti',
    'Samson',
    'San Antonio Valley',
    'San Francisco',
    'San Jose',
    'San Juan',
    'San Marino',
    'Sandomierskie',
    'Santa Catarina',
    'São Paulo',
    'Sardinia',
    'Saskatchewan',
    'Satakunta',
    'Savoie',
    'Schaan',
    'Schiedam',
    'Scotland',
    'Sea of Marmara',
    'Sha Sheng',
    'Shan State',
    'Shandong',
    'Shanxi',
    'Shar Shar',
    'Shikoku',
    'Shropshire',
    'Shumen',
    'Sicily',
    'Sidi Salem',
    'Sierra Foothills',
    'Sinaloa',
    'Sjaelland',
    'Sjeverna Bosna',
    'Skåne',
    'Sliven',
    'Slovakia',
    'Slovenia',
    'Sogn',
    'Sogn og Fjordane',
    'Solano County',
    'Somerset',
    'Sonoma',
    'Sonoma Coast',
    'Sonoma County',
    'South Africa',
    'South Australia',
    'South Carolina',
    'South Dakota',
    'South East England',
    'South Eastern',
    'South Island',
    'South Western',
    'Southeastern Anatolia',
    'Southern Ostrobothnia',
    'Southern Savonia',
    'Southwest France',
    'Spain',
    'Srem',
    'Staffordshire',
    'Stara Zagora',
    'Stefanesti',
    'Stockholm',
    'Stredoslovenská',
    'Struma River Valley',
    'Styria',
    'Subotica-Horgoške Peščare',
    'Suffolk',
    'Suhindol',
    'Šumadija-Velika Morava',
    'Surrey',
    'Switzerland',
    'Syria',
    'Taiwan (ROC)',
    'Tallinn',
    'Taman Peninsula',
    'Targovista',
    'Tarija',
    'Tasmania',
    'Tavastia Proper',
    'Tbilisi',
    'Tekirdag',
    'Tennessee',
    'Texas',
    'Thailand',
    'Thessaly',
    'Thrace',
    'Thrace, Gelibolu',
    'Thracian Valley',
    'Tianjin',
    'Tibet',
    'Ticino',
    'Timoc',
    'Tipperary',
    'Tōhoku',
    'Tokaj',
    'Tokaji',
    'Tokat, Northeastern Anatolia',
    'Transylvania',
    'Trás-os-Montes',
    'Trentino',
    'Trentino-Alto Adige',
    'Trinidad',
    'Turkey',
    'Tuscany',
    'Tuscany/Liguria',
    'Umbria',
    'United Kingdom',
    'Uppsala',
    'Uruguay',
    'US Virgin Islands',
    'USA',
    'USA/Australia',
    'USA/Australia/South Africa',
    'USA/Belgium',
    'USA/France',
    'USA/Mexico',
    'Utah',
    'Uusimaa',
    'Uzbekistan',
    'Vaduz',
    'Valais',
    'Valencia',
    'Valle d\'Aosta',
    'Valle de Linares',
    '',
    'Vanju Mare',
    'Varsinais-Suomi',
    'Västerbotten',
    'Västmanland',
    'Vaud',
    'Vayots Dzor',
    'Veneto',
    'Venezuela',
    'Vermont',
    'Victoria',
    'Virginia',
    'Vlaanderen/Flanders',
    'Východoslovenská',
    'Wales',
    'Wallonie',
    'Washington',
    'Washington D.C.',
    'Wessex',
    'West Friesland',
    'West Georgia',
    'West Sussex',
    'West Virginia',
    'Western Anatolia',
    'Western Australia',
    'Western Cape',
    'Wien',
    'Wiltshire',
    'Wisconsin',
    'Württemberg',
    'Wyoming',
    'Yantai',
    'Yorkshire',
    'Yucatán',
    'Yukon Territory',
    'Zapadna Morava',
    'Zeeland',
    'Zhejiang',
    'Zuid Holland',
    'Zuider Kempen'
];
exports.wineSizeIds = [
    { code: 50, name: '50 mL' },
    { code: 187, name: '187 mL' },
    { code: 250, name: '250 mL' },
    { code: 300, name: '300 mL' },
    { code: 330, name: '330 mL' },
    { code: 375, name: '375 mL' },
    { code: 500, name: '500 mL' },
    { code: 720, name: '720 mL' },
    { code: 750, name: '750 mL' },
    { code: 1000, name: '1.0 L' },
    { code: 1500, name: '1.5 L' },
    { code: 3000, name: '3.0 L' },
    { code: 5000, name: '5.0 L' },
    { code: 6000, name: '6 L' },
    { code: 9000, name: '9 L' },
    { code: 12000, name: '12 L' },
    { code: 15000, name: '15 L' },
];
exports.eLoc = [
    'napa',
    'wd',
    'windsor',
    'groskopf',
    'domaine',
    'dropship',
    'cpl',
    'vip',
    'tmp',
    'qa',
    '*',
];
//# sourceMappingURL=states.js.map