#ucshared

This is the shared library for www + admin + react-native. 

SRC:
1. api.ts - interface for midtier
2. serverless.ts - interface for uc.functions

Getting started:
1. As a prerequisite you will need to have Java installed.
2. You will need to install/place the file called `swagger-codegen-cli.jar` file one level above the ucshared folder (file located in UC sharepoint dev section).
3. Run `npm install`

How to update api.ts (UC.Midtier):
1. make sure midtier is running locally on port 8082, as well as uc.functions on 8087
2. `cd uc_shared` then run `npm run midtier` via *git bash*
3. `npm run serverless`
4. `cd src` then run `node ci_auto_patch_ts_files.js`
5. `cd ..` then run `npm run build`
6. commit changes to the repo
7. `npm version minor` to increment the ucshared package version. This will update the package.json with the new version AND do a git commit for it. So, you will not be able to do npm version minor until AFTER you committed your changes in (2).
8. `npm publish` to upload the package to npm. (`npm login` first)

#Access
In order to update ucshared on npmjs.org you need to have Contributor access to the ucshared module.

The following people currently have access via `npm login`:

1. bherila
2. dalejo90
3. matenji
